# Uses of Enum Class
org.apache.lucene.search.SortField.Type

Packages that use SortField.Type
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of SortField.Type in org.apache.lucene.search

  Methods in org.apache.lucene.search that return SortField.Type
  Modifier and Type
  Method
  Description
  `SortField.Type`
  SortedNumericSortField.`getNumericType()`
  Returns the numeric type in use for this sort
  `SortField.Type`
  SortField.`getType()`
  Returns the type of contents in the field.
  `protected static SortField.Type`
  SortField.`readType(DataInput in)`
  `static SortField.Type`
  SortField.Type.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SortField.Type[]`
  SortField.Type.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in org.apache.lucene.search with parameters of type SortField.Type
  Modifier and Type
  Method
  Description
  `static NumericDocValues`
  SortedNumericSelector.`wrap(SortedNumericDocValues sortedNumeric, SortedNumericSelector.Type selector, SortField.Type numericType)`
  Wraps a multi-valued SortedNumericDocValues as a single-valued view, using the specified selector and numericType.
  Constructors in org.apache.lucene.search with parameters of type SortField.Type
  Modifier
  Constructor
  Description
  ``
  `SortedNumericSortField(String field, SortField.Type type)`
  Creates a sort, by the minimum value in the set for the document.
  ``
  `SortedNumericSortField(String field, SortField.Type type, boolean reverse)`
  Creates a sort, possibly in reverse, by the minimum value in the set for the document.
  ``
  `SortedNumericSortField(String field, SortField.Type type, boolean reverse, SortedNumericSelector.Type selector)`
  Creates a sort, possibly in reverse, specifying how the sort value from the document's set is selected.
  ``
  `SortField(String field, SortField.Type type)`
  Creates a sort by terms in the given field with the type of term values explicitly given.
  ``
  `SortField(String field, SortField.Type type, boolean reverse)`
  Creates a sort, possibly in reverse, by terms in the given field with the type of term values explicitly given.